# Uses of Class
org.eclipse.net4j.util.container.ContainerEvent

Packages that use ContainerEvent
Package
Description
org.eclipse.net4j.util.container
A framework of notifying collections and wiring containers.
org.eclipse.net4j.util.container.delegate
Hybrid interfaces of notifying containers and the Java Collection Framework.

## Uses of ContainerEvent in org.eclipse.net4j.util.container

Methods in org.eclipse.net4j.util.container that return ContainerEvent
Modifier and Type
Method
Description
`protected ContainerEvent<E>`
Container.`newContainerEvent()`

## Uses of ContainerEvent in org.eclipse.net4j.util.container.delegate

Methods in org.eclipse.net4j.util.container.delegate that return ContainerEvent
Modifier and Type
Method
Description
`protected ContainerEvent<E>`
AbstractDelegator.`createEvent(Collection<? super E> c, IContainerDelta.Kind kind)`
Methods in org.eclipse.net4j.util.container.delegate with parameters of type ContainerEvent
Modifier and Type
Method
Description
`protected boolean`
AbstractDelegator.`dispatchEvent(ContainerEvent<E> event)`